> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/database-data/season-standing-all-season.md).

# Season standing(all season)

## Season standing(all season)

> Return to season rankings data details\<br/>Request times:120 times/min\<br/>\<br/>PS:Get the changed season id through the 'data update' interface

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"DATABASE DATA","description":"DATABASE DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/season/table/detail":{"get":{"tags":["DATABASE DATA"],"description":"Return to season rankings data details<br/>Request times:120 times/min<br/><br/>PS:Get the changed season id through the 'data update' interface","summary":"Season standing(all season)","operationId":"getSeasonTableDetail","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Season id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"object","properties":{"promotions":{"type":"array","description":"Relegation competition list","items":{"$ref":"#/components/schemas/SeasonPromotion"}},"tables":{"type":"array","description":"Standings list","items":{"$ref":"#/components/schemas/SeasonTable"}}}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"SeasonPromotion":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Up/down id"},"name":{"type":"string","description":"Up/down competition name"},"color":{"type":"string","description":"Color value"}}},"SeasonTable":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Standing table id"},"conference":{"type":"string","description":"Zoning information (only available in very few competitions,such as the US League)"},"group":{"type":"integer","description":"Not 0 means the group of the group match, 1-A, 2-B and so on"},"stage_id":{"type":"string","description":"Stage id"},"rows":{"type":"array","description":"Team points list","items":{"$ref":"#/deps/schemas/SeasonTableRows"}}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"SeasonTableRows":{"type":"object","description":"Data details","properties":{"team_id":{"type":"string","description":"Team id"},"promotion_id":{"type":"string","description":"Up/down id"},"points":{"type":"integer","description":"integral"},"position":{"type":"integer","description":"Rank"},"deduct_points":{"type":"integer","description":"Deduct points"},"note":{"type":"string","description":"Description"},"total":{"type":"integer","description":"Matches"},"won":{"type":"integer","description":"Number of wins"},"draw":{"type":"integer","description":"Number of draws"},"loss":{"type":"integer","description":"Number of loses"},"goals":{"type":"integer","description":"Goal"},"goals_against":{"type":"integer","description":"Conceded"},"goal_diff":{"type":"integer","description":"Goal difference"},"home_points":{"type":"integer","description":"Home score"},"home_position":{"type":"integer","description":"Home ranking"},"home_total":{"type":"integer","description":"Home matches"},"home_won":{"type":"integer","description":"Number of wins at home"},"home_draw":{"type":"integer","description":"Number of draws at home"},"home_loss":{"type":"integer","description":"Number of loses at home"},"home_goals":{"type":"integer","description":"Home goal"},"home_goals_against":{"type":"integer","description":"Conceded at home"},"home_goal_diff":{"type":"integer","description":"Home goal difference"},"away_points":{"type":"integer","description":"Away score"},"away_position":{"type":"integer","description":"Away score"},"away_total":{"type":"integer","description":"Away ranking"},"away_won":{"type":"integer","description":"Number of wins at away"},"away_draw":{"type":"integer","description":"Number of draws at away"},"away_loss":{"type":"integer","description":"Number of loses at away"},"away_goals":{"type":"integer","description":"Away goal"},"away_goals_against":{"type":"integer","description":"Conceded at away"},"away_goal_diff":{"type":"integer","description":"Away goal difference"},"updated_at":{"type":"integer","description":"Update time"}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/database-data/season-standing-all-season.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
